<?php


namespace App\Http\Controllers\API;

use App\Models\BoycottProduct;
use App\Models\BoycottCategory;
use App\Models\BoycottCompany;
use App\Models\CalendarHijri;
use App\Models\CalendarTepyan;
use App\Models\Phrases;
use App\Models\PrayerTime;
use App\Models\Location;
use App\Models\Event;
use App\Models\Setting;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Exception;

class CalendartipyanController  extends BaseController
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public $timestamps = false;

    public function getDate($date=null)
    {
        try {
            if($date != null){
               $date_insart = new Setting();
               $date_insart->dateold = $date;
               $date_insart->datenew = Carbon::now()->format('Y-m-d H:i:s.u');
              $date_insart->save();
           $date_update = Setting::find($date_insart->id);
               $date_update->datenew = $date_insart->created_at;
               $date_update->save();
            $data = ['datenew' => $$date->created_at,];
            }else{
               $date_insart = new Setting();
               $date_insart->dateold = Carbon::now()->format('Y-m-d H:i:s.u');
               $date_insart->datenew = Carbon::now()->format('Y-m-d H:i:s.u');
               $date_insart->save();
               $date_update = Setting::find($date_insart->id);
               $date_update->datenew = $date_insart->created_at;
               $date_update->save();
              $data = ['datenew' => $$date->created_at, ];
            }
          return $this->sendResponse($data, '   تم التحديث بنجاح');
        } catch (Exception $e) {
            $this->sendError($e->getMessage(), ['trace' => $e->getTrace()], 500);
        }
    }


    public function createBoycottProduct(Request $request)
    {
        try {
          $request->validate([
               'name' => 'required|string|unique:boycott_products,name',
               // 'pr_code' => 'required|integer',
               'details' => 'required|integer',
               // 'boycott_companies_id'          => 'required',
               // 'boycott_categories_id'         => 'required',
               'image'               => 'required',
           ]);
           $boycott_products = new BoycottProduct();
           // $boycott_products->user_id = auth()->user()->id;
           $boycott_products->name = $request->name;
           $boycott_products->boycott_companies_id =  '';//$request->boycott_companies_id;
           $boycott_products->boycott_categories_id = '';//$request->boycott_categories_id;
           $boycott_products->details = $request->details;
          //  $boycott_products->reason_boycott = $request->reason_boycott;
           $boycott_products->name_en = $request->name_en;
          //  $boycott_products->details_en = $request->details_en;
           $boycott_products->reason_boycott_en = $request->reason_boycott_en;
          //  $boycott_products->qr_code = $request->qr_code;
           $boycott_products->pr_code = $request->pr_code;
           $boycott_products->image = $this->storeImage($request['image'], 'images/boycott_products');
           $boycott_products->save();
           return redirect()->route("boycott_products.index")->with('success', 'تم اضافة  بنجاح');

        } catch (Exception $e) {
            $this->sendError($e->getMessage(), ['trace' => $e->getTrace()], 500);
        }
    }

    public function getCheck()
    {
    }    public function getCalendar($date=null)
    {
        try {

            if($date != null){
                // $date = CalendarTepyan::where('updated_at', '>=',$date)->get();
                $date = CalendarTepyan::where('updated_at', '>=',$date)->orderBy('id', 'desc')->get();
            }else{
                $date = CalendarTepyan::where('active',1)->get();
            }
            // $date = CalendarTepyan::where('updated_at', '>=',$date)->orderBy('id', 'desc');
            // $date = $date->get();

            return $this->sendResponse($date, '   تم التحديث بنجاح');
        } catch (Exception $e) {
            $this->sendError($e->getMessage(), ['trace' => $e->getTrace()], 500);
        }
    }
    public function getPrayer($date_up =null)
    {
        // dd($date_up);
        try {

            if($date_up != null){
                // $date = CalendarTepyan::where('updated_at', '>=',$date)->get();
                $date = PrayerTime::where('updated_at', '>=',$date_up)->orderBy('id', 'desc')->get();
            }else{
                $date = PrayerTime::where('active',1)->get();
            }
            // $date = Prayer_time::where('updated_at', '>=',$date_up)->get();

            return $this->sendResponse($date, '   تم التحديث بنجاح');

        } catch (Exception $e) {
            $this->sendError($e->getMessage(), ['trace' => $e->getTrace()], 500);
        }
    }
    public function getCalendarHijri($date =null)
    {
        try {

            if($date != null){
                // $date = CalendarTepyan::where('updated_at', '>=',$date)->get();
                $date = CalendarHijri::where('updated_at', '>=',$date)->orderBy('id', 'desc')->get();
            }else{
                $date = CalendarHijri::where('active',1)->get();
            }
            // $date = CalendarHijri::where('updated_at', '>=',$date)->orderBy('id', 'desc');
            // $date = $date->get();
            return $this->sendResponse($date, '   تم التحديث بنجاح');

        } catch (Exception $e) {
            $this->sendError($e->getMessage(), ['trace' => $e->getTrace()], 500);
        }
    }
    public function getLocation($date =null)
    {
        try {

            if($date != null){
                // $date = CalendarTepyan::where('updated_at', '>=',$date)->get();
                $date = Location::where('updated_at', '>=',$date)->orderBy('id', 'desc')->get();
            }else{
                $date = Location::where('active',1)->get();
            }
            // setlocale(LC_ALL, 'IND');
            // Carbon::setLocale('id');
            // $date = Location::where('updated_at', '>=',$date)->orderBy('id', 'desc');
            // $date = $date->get();
            return $this->sendResponse($date, '   تم التحديث بنجاح');

        } catch (Exception $e) {
            $this->sendError($e->getMessage(), ['trace' => $e->getTrace()], 500);
        }
    }
    public function getPhrases($date =null)
    {
        try {

            if($date != null){
                // $date = CalendarTepyan::where('updated_at', '>=',$date)->get();
                $date = Phrases::where('updated_at', '>=',$date)->orderBy('id', 'desc')->get();
            }else{
                $date = Phrases::where('active',1)->get();
            }

            // setlocale(LC_ALL, 'IND');
            // Carbon::setLocale('id');
            // $date = Phrases::where('updated_at', '>=',$date)->orderBy('id', 'desc');
            // $date = $date->get();
            return $this->sendResponse($date, '   تم التحديث بنجاح');

        } catch (Exception $e) {
            $this->sendError($e->getMessage(), ['trace' => $e->getTrace()], 500);
        }
    }
    public function getEvent($date =null)
    {
        try {

            if($date != null){
                // $date = CalendarTepyan::where('updated_at', '>=',$date)->get();
                $data = Event::where('updated_at', '>=',$date)->orderBy('id', 'desc')->get();
            }else{
                $data = Event::where('active',1)->get();
            }
            // setlocale(LC_ALL, 'IND');
            // Carbon::setLocale('id');
            // $data = Event::where('updated_at', '>=',$date)->get();
            // $data = [
            //     'id' => $date->id,
            //     'text_event' => $date->text_event,
            //     'month' => $date->month,
            //     'day' => $date->day,
            //     'show_hijris' => $date->show_hijris,
            //     'year' => $date->year,
            //     'show_alert_time_in' => $date->show_alert_time_in,
            // ];

            return $this->sendResponse($data, '   تم التحديث بنجاح');

        } catch (Exception $e) {
            $this->sendError($e->getMessage(), ['trace' => $e->getTrace()], 500);
        }
    }

    public function getboycott_category($date = null)
    {
        try {

            if($date != null){
                // $date = CalendarTepyan::where('updated_at', '>=',$date)->get();
                $data = BoycottCategory::where('updated_at', '>=',$date)->orderBy('id', 'desc')->get();
            }else{
                $data = BoycottCategory::where('active',1)->get();
            }
            // setlocale(LC_ALL, 'IND');
            // Carbon::setLocale('id');
            // $date = boycott_category::where('updated_at', '>=',$date)->orderBy('id', 'desc');
            // $date = $date->get();
            return $this->sendResponse($data, '   تم التحديث بنجاح');

        } catch (Exception $e) {
            $this->sendError($e->getMessage(), ['trace' => $e->getTrace()], 500);
        }
    }

    public function getboycott_company($date_up  =null)
    {
        // dd($date_up);
        try {

            if($date_up != null){
                // $date = CalendarTepyan::where('updated_at', '>=',$date)->get();
                $data = BoycottCompany::where('updated_at', '>=',$date_up)->orderBy('id', 'desc')->get();
            }else{
                $data = BoycottCompany::where('active',1)->get();
            }

            // $date = BoycottCompany::where('updated_at', '>=',$date_up)->orderBy('id', 'desc');
            // $date = $date->get();
            return $this->sendResponse($data, '   تم التحديث بنجاح');

        } catch (Exception $e) {
            $this->sendError($e->getMessage(), ['trace' => $e->getTrace()], 500);
        }
    }

    public function getBoycott($date =null)
    {
        try {

            if($date != null){
                // $date = CalendarTepyan::where('updated_at', '>=',$date)->get();
                $data = BoycottProduct::where('updated_at', '>=',$date)->orderBy('id', 'desc')->get();
            }else{
                $data = BoycottProduct::where('active',1)->get();
            }

            // setlocale(LC_ALL, 'IND');
            // Carbon::setLocale('id');
            // $date = Boycott::where('updated_at', '>=',$date)->orderBy('id', 'desc');
            // $date = $date->get();
            return $this->sendResponse($data, '   تم التحديث بنجاح');

        } catch (Exception $e) {
            $this->sendError($e->getMessage(), ['trace' => $e->getTrace()], 500);
        }
    }
}
