<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEventsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */

    // text_event
    // date_start
    // date_end
    // text_event_en
    // day
    // month
    // year
    // show_hijris
    // show_alert
    // show_alert_time_in
    public function up()
    {
        Schema::create('events', function (Blueprint $table) {
            $table->id();
            // $table->string('text_event',5000);
            $table->text('text_event')->nullable();
            $table->string('date_start')->nullable();
            $table->string('date_end')->nullable();
            $table->string('text_event_en')->nullable();
            $table->integer('day');
            $table->integer('month'); 
            $table->integer('year')->nullable();
            $table->boolean('show_hijris')->default(1);
            $table->boolean('show_alert')->default(0);
            $table->time('show_alert_time_in')->nullable();
            $table->boolean('active')->default(1);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('events');
    }
}
