<?php

namespace Database\Seeders;

use App\Models\CalendarTepyan;
use Carbon\Carbon;
use Illuminate\Database\Seeder;

class CalendarTepyanSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {


//         DB::table('phrases')->truncate();
//  Phrases::truncate();
 $csvData = fopen(base_path('database/calendar_tipyans.csv'), 'r');
 $transRow = true;
 while (($data = fgetcsv($csvData, 5555, ';')) !== false) {
     if (!$transRow) {
        CalendarTepyan::create([
            //    dd( $data[5]),
                'id' =>$data[1].$data[0],
                // 'date' => Carbon::parse($data[2] ."-". $data[1]."-". $data[0])->format('Y-m-d'), // '.'.$data[0].'-'.$data[1].'-'.$data[2].'',
                'daym' => $data[0],
                'monthm' => $data[1],
                'yearm' => $data[2],
                'season' => $data[12],

                'dayhim' => $data[6],
                'monthhim' => $data[7],

                'daysun' => $data[10],
                'monthsun' => $data[11],

                'dayzs' => $data[8],
                'monthzs' => $data[9],

                'dayzh' => $data[13],
                'monthzh' => $data[14],
                'day_of_week' => 1,

         ]);
     }
     $transRow = false;
 }
 fclose($csvData);


        // Calendar_tipyan::insert([
        //     [
        //         'date' => '2024-01-01',
        //         'daym' => 1,
        //         'monthm' => 1,
        //         'yearm' => 2024,
        //         'season' => 1,
        //         'dayhim' => 1,
        //         'monthhim' => 'ذو معروف',
        //         'daysun' => 1,
        //         'monthsun' => 'بطن الحوت ',
        //         'dayzs' => 1,
        //         'monthzs' => 'ظافر الاول',
        //         'dayzh' => 1,
        //         'monthzh' => 'العواء ',


        //         'day_of_week' => 1,
        //     ],
        //     [
        //         'date' => '2024-01-02',
        //         'daym' => 2,
        //         'monthm' => 2,
        //         'yearm' => 2024,
        //         'season' => 1,

        //         'dayhim' => 2,
        //         'monthhim' => 'ذو معروف',

        //         'daysun' => 2,
        //         'monthsun' => 'بطن الحوت ',

        //         'dayzs' => 2,
        //         'monthzs' => 'ظافر الاول',

        //         'dayzh' => 2,
        //         'monthzh' => 'العواء ',


        //         'day_of_week' => 2,
        //     ],
        //     [
        //         'date' => '2024-01-03',
        //         'daym' => 3,
        //         'monthm' => 3,
        //         'yearm' => 2024,
        //         'season' => 1,

        //         'dayhim' => 3,
        //         'monthhim' => 'ذو معروف',

        //         'daysun' => 3,
        //         'monthsun' => 'بطن الحوت ',

        //         'dayzs' => 3,
        //         'monthzs' => 'ظافر الاول',

        //         'dayzh' => 3,
        //         'monthzh' => 'العواء ',


        //         'day_of_week' => 3,
        //     ],
        //     [
        //         'date' => '2024-01-04',
        //         'daym' => 4,
        //         'monthm' => 4,
        //         'yearm' => 2024,
        //         'season' => 1,

        //         'dayhim' => 4,
        //         'monthhim' => 'ذو معروف',

        //         'daysun' => 4,
        //         'monthsun' => 'بطن الحوت ',

        //         'dayzs' => 4,
        //         'monthzs' => 'ظافر الاول',

        //         'dayzh' => 4,
        //         'monthzh' => 'العواء ',


        //         'day_of_week' => 4,
        //     ],
        //     [
        //         'date' => '2024-01-05',
        //         'daym' => 5,
        //         'monthm' => 5,
        //         'yearm' => 2024,
        //         'season' => 1,

        //         'dayhim' => 5,
        //         'monthhim' => 'ذو معروف',

        //         'daysun' => 5,
        //         'monthsun' => 'بطن الحوت ',

        //         'dayzs' => 5,
        //         'monthzs' => 'ظافر الاول',

        //         'dayzh' => 5,
        //         'monthzh' => 'العواء ',


        //         'day_of_week' => 5,
        //     ],
        //     [
        //         'date' => '2024-01-06',
        //         'daym' => 6,
        //         'monthm' => 6,
        //         'yearm' => 2024,
        //         'season' => 1,

        //         'dayhim' => 6,
        //         'monthhim' => 'ذو معروف',

        //         'daysun' => 6,
        //         'monthsun' => 'بطن الحوت ',

        //         'dayzs' => 6,
        //         'monthzs' => 'ظافر الاول',

        //         'dayzh' => 6,
        //         'monthzh' => 'العواء ',


        //         'day_of_week' => 6,
        //     ],
        // ]);
    }
}
